#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberBankAccount {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub member_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub bank_id: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub name: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub account_number: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub exchange_password: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "7")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, tag = "8")]
  pub created_at: u64,
  #[prost(uint64, tag = "9")]
  pub updated_at: u64,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberBankAccountModel {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub member_id: ::prost::alloc::string::String,
  #[prost(message, optional, tag = "3")]
  pub bank: ::core::option::Option<crate::models::bank::Bank>,
  #[prost(string, tag = "4")]
  pub name: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub account_number: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub exchange_password: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "7")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, tag = "8")]
  pub created_at: u64,
  #[prost(uint64, tag = "9")]
  pub updated_at: u64,
}
