#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberReferrer {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub member_id: ::prost::alloc::string::String,
  #[prost(bool, tag = "3")]
  pub can_use: bool,
  #[prost(string, optional, tag = "4")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, tag = "5")]
  pub created_at: u64,
  #[prost(uint64, tag = "6")]
  pub updated_at: u64,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberReferrerModel {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(message, optional, tag = "2")]
  pub member: ::core::option::Option<super::member::Member>,
  #[prost(bool, tag = "3")]
  pub can_use: bool,
  #[prost(string, optional, tag = "4")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, tag = "5")]
  pub created_at: u64,
  #[prost(uint64, tag = "6")]
  pub updated_at: u64,
}
