const SUBJECT: &str = "bet.beteran.ss.member_session";

pub const SUBJECT_GET_MEMBER_SESSION: &str = const_format::concatcp!(SUBJECT, ".GetMemberSession");
pub const SUBJECT_GET_MEMBER_SESSION_WITH_RENEWAL: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberSessionWithRenewal");

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSessionRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_session_request::Request>,
}
/// Nested message and enum types in `GetMemberSessionRequest`.
pub mod get_member_session_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {}
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSessionResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_session_response::Result>,
}
/// Nested message and enum types in `GetMemberSessionResponse`.
pub mod get_member_session_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_session: ::core::option::Option<crate::models::member_session::MemberSession>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSessionWithRenewalRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_session_with_renewal_request::Request>,
}
/// Nested message and enum types in `GetMemberSessionWithRenewalRequest`.
pub mod get_member_session_with_renewal_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {}
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSessionWithRenewalResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_session_with_renewal_response::Result>,
}
/// Nested message and enum types in `GetMemberSessionWithRenewalResponse`.
pub mod get_member_session_with_renewal_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_session: ::core::option::Option<crate::models::member_session::MemberSession>,
  }
}
