#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BettingHistory {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(uint64, tag = "2")]
  pub vendor_id: u64,
  #[prost(string, tag = "3")]
  pub vendor_name: ::prost::alloc::string::String,
  #[prost(uint64, tag = "4")]
  pub game_id: u64,
  #[prost(string, tag = "5")]
  pub game_name: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub game_category: ::prost::alloc::string::String,
  #[prost(string, tag = "7")]
  pub game_type: ::prost::alloc::string::String,
  #[prost(string, tag = "8")]
  pub currency: ::prost::alloc::string::String,
  #[prost(double, tag = "9")]
  pub cash: f64,
  #[prost(double, tag = "10")]
  pub before_cash: f64,
  #[prost(double, tag = "11")]
  pub after_cash: f64,
  #[prost(string, optional, tag = "12")]
  pub group_key: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "13")]
  pub detail: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(bool, tag = "14")]
  pub is_bonus: bool,
  #[prost(bool, tag = "15")]
  pub is_promo: bool,
  #[prost(bool, tag = "16")]
  pub is_jackpot: bool,
  #[prost(string, tag = "17")]
  pub site_username: ::prost::alloc::string::String,
  #[prost(string, tag = "18")]
  pub key: ::prost::alloc::string::String,
  #[prost(string, tag = "19")]
  pub ref_id: ::prost::alloc::string::String,
  #[prost(string, tag = "20")]
  pub o_ref_id: ::prost::alloc::string::String,
  #[prost(string, tag = "21")]
  pub betting_type: ::prost::alloc::string::String,
  #[prost(string, tag = "22")]
  pub category: ::prost::alloc::string::String,
  #[prost(uint64, tag = "23")]
  pub created_at: u64,
  #[prost(uint64, tag = "24")]
  pub utc_created_at: u64,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BettingHistoryModel {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(uint64, tag = "2")]
  pub vendor_id: u64,
  #[prost(string, tag = "3")]
  pub vendor_name: ::prost::alloc::string::String,
  #[prost(uint64, tag = "4")]
  pub game_id: u64,
  #[prost(string, tag = "5")]
  pub game_name: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub game_category: ::prost::alloc::string::String,
  #[prost(string, tag = "7")]
  pub game_type: ::prost::alloc::string::String,
  #[prost(string, tag = "8")]
  pub currency: ::prost::alloc::string::String,
  #[prost(double, tag = "9")]
  pub cash: f64,
  #[prost(double, tag = "10")]
  pub before_cash: f64,
  #[prost(double, tag = "11")]
  pub after_cash: f64,
  #[prost(string, optional, tag = "12")]
  pub group_key: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "13")]
  pub detail: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(bool, tag = "14")]
  pub is_bonus: bool,
  #[prost(bool, tag = "15")]
  pub is_promo: bool,
  #[prost(bool, tag = "16")]
  pub is_jackpot: bool,
  #[prost(string, tag = "17")]
  pub site_username: ::prost::alloc::string::String,
  #[prost(string, tag = "18")]
  pub key: ::prost::alloc::string::String,
  #[prost(string, tag = "19")]
  pub ref_id: ::prost::alloc::string::String,
  #[prost(string, tag = "20")]
  pub o_ref_id: ::prost::alloc::string::String,
  #[prost(string, tag = "21")]
  pub betting_type: ::prost::alloc::string::String,
  #[prost(string, tag = "22")]
  pub category: ::prost::alloc::string::String,
  #[prost(uint64, tag = "23")]
  pub created_at: u64,
  #[prost(uint64, tag = "24")]
  pub utc_created_at: u64,
  #[prost(message, optional, tag = "25")]
  pub member: ::core::option::Option<super::super::member::MemberModel>,
}
